"Restart Required" warning does not go away



  • Restart Required warning on ACP does not go away.

    Screen Shot 2019-08-09 at 10.24.24 PM.png

    We have 3 ports open, and here is the log:

    2019-08-10T02:17:38.705Z [4569/30622] - info: [app] Shutdown (SIGTERM/SIGINT) Initialised.
    2019-08-10T02:17:38.720Z [4569/30622] - info: [app] Web server closed to connections.
    2019-08-10T02:17:38.727Z [4569/30622] - info: [app] Live analytics saved.
    2019-08-10T02:17:38.756Z [4569/30622] - info: [app] Database connection closed.
    2019-08-10T02:17:38.756Z [4569/30622] - info: [app] Shutdown complete.
    2019-08-10T02:17:40.092Z [4567/21198] - info: Initializing NodeBB v1.12.2 https://yesilkartforum.com/forum
    2019-08-10T02:17:45.677Z [4567/21198] - info: [socket.io] Restricting access to origin: https://yesilkartforum.com:*
    2019-08-10T02:17:45.680Z [4569/21200] - info: [socket.io] Restricting access to origin: https://yesilkartforum.com:*
    2019-08-10T02:17:45.681Z [4568/21199] - info: [socket.io] Restricting access to origin: https://yesilkartforum.com:*
    Sat, 10 Aug 2019 02:17:45 GMT hsts deprecated The "includeSubdomains" parameter is deprecated. Use "includeSubDomains" (with a capital D) instead. at node_modules/helmet/index.js:33:28
    Sat, 10 Aug 2019 02:17:45 GMT hsts deprecated The "setIf" parameter is deprecated. Refer to the documentation to see how to set the header conditionally. at node_modules/helmet/index.js:33:28
    Sat, 10 Aug 2019 02:17:45 GMT hsts deprecated The "includeSubdomains" parameter is deprecated. Use "includeSubDomains" (with a capital D) instead. at node_modules/helmet/index.js:33:28
    Sat, 10 Aug 2019 02:17:45 GMT hsts deprecated The "setIf" parameter is deprecated. Refer to the documentation to see how to set the header conditionally. at node_modules/helmet/index.js:33:28
    Sat, 10 Aug 2019 02:17:45 GMT hsts deprecated The "includeSubdomains" parameter is deprecated. Use "includeSubDomains" (with a capital D) instead. at node_modules/helmet/index.js:33:28
    Sat, 10 Aug 2019 02:17:45 GMT hsts deprecated The "setIf" parameter is deprecated. Refer to the documentation to see how to set the header conditionally. at node_modules/helmet/index.js:33:28
    2019-08-10T02:17:47.264Z [4567/21198] - warn: [deprecated] requiring core modules with `module.parent.require('./database')` is deprecated. Please use `require.main.require("./src/<module_name>")` instead.
        at Object.<anonymous> (/home/nodebb/forum/nodebb/node_modules/nodebb-plugin-topic-ratings/library.js:5:21)
    2019-08-10T02:17:47.271Z [4569/21200] - warn: [deprecated] requiring core modules with `module.parent.require('./database')` is deprecated. Please use `require.main.require("./src/<module_name>")` instead.
        at Object.<anonymous> (/home/nodebb/forum/nodebb/node_modules/nodebb-plugin-topic-ratings/library.js:5:21)
    2019-08-10T02:17:47.303Z [4568/21199] - warn: [deprecated] requiring core modules with `module.parent.require('./database')` is deprecated. Please use `require.main.require("./src/<module_name>")` instead.
        at Object.<anonymous> (/home/nodebb/forum/nodebb/node_modules/nodebb-plugin-topic-ratings/library.js:5:21)
    2019-08-10T02:17:47.306Z [4568/21199] - warn: [deprecated] requiring core modules with `module.parent.require('./socket.io/topics')` is deprecated. Please use `require.main.require("./src/<module_name>")` instead.
        at Object.<anonymous> (/home/nodebb/forum/nodebb/node_modules/nodebb-plugin-topic-ratings/library.js:7:31)
    2019-08-10T02:17:47.310Z [4567/21198] - warn: [deprecated] requiring core modules with `module.parent.require('./socket.io/topics')` is deprecated. Please use `require.main.require("./src/<module_name>")` instead.
        at Object.<anonymous> (/home/nodebb/forum/nodebb/node_modules/nodebb-plugin-topic-ratings/library.js:7:31)
    2019-08-10T02:17:47.290Z [4569/21200] - warn: [deprecated] requiring core modules with `module.parent.require('./socket.io/topics')` is deprecated. Please use `require.main.require("./src/<module_name>")` instead.
        at Object.<anonymous> (/home/nodebb/forum/nodebb/node_modules/nodebb-plugin-topic-ratings/library.js:7:31)
    2019-08-10T02:17:47.837Z [4569/21200] - warn: [deprecated] requiring core modules with `module.parent.require('./topics')` is deprecated. Please use `require.main.require("./src/<module_name>")` instead.
        at Object.<anonymous> (/home/nodebb/forum/nodebb/node_modules/nodebb-plugin-important/library.js:5:25)
    2019-08-10T02:17:47.838Z [4568/21199] - warn: [deprecated] requiring core modules with `module.parent.require('./topics')` is deprecated. Please use `require.main.require("./src/<module_name>")` instead.
        at Object.<anonymous> (/home/nodebb/forum/nodebb/node_modules/nodebb-plugin-important/library.js:5:25)
    2019-08-10T02:17:47.838Z [4568/21199] - warn: [deprecated] requiring core modules with `module.parent.require('./posts')` is deprecated. Please use `require.main.require("./src/<module_name>")` instead.
        at Object.<anonymous> (/home/nodebb/forum/nodebb/node_modules/nodebb-plugin-important/library.js:6:24)
    2019-08-10T02:17:47.839Z [4567/21198] - warn: [deprecated] requiring core modules with `module.parent.require('./topics')` is deprecated. Please use `require.main.require("./src/<module_name>")` instead.
    2019-08-10T02:17:47.840Z [4569/21200] - warn: [deprecated] requiring core modules with `module.parent.require('./posts')` is deprecated. Please use `require.main.require("./src/<module_name>")` instead.
        at Object.<anonymous> (/home/nodebb/forum/nodebb/node_modules/nodebb-plugin-important/library.js:5:25)
        at Object.<anonymous> (/home/nodebb/forum/nodebb/node_modules/nodebb-plugin-important/library.js:6:24)
    2019-08-10T02:17:47.840Z [4569/21200] - warn: [deprecated] requiring core modules with `module.parent.require('./categories')` is deprecated. Please use `require.main.require("./src/<module_name>")` instead.
        at Object.<anonymous> (/home/nodebb/forum/nodebb/node_modules/nodebb-plugin-important/library.js:7:29)
    2019-08-10T02:17:47.841Z [4567/21198] - warn: [deprecated] requiring core modules with `module.parent.require('./posts')` is deprecated. Please use `require.main.require("./src/<module_name>")` instead.
        at Object.<anonymous> (/home/nodebb/forum/nodebb/node_modules/nodebb-plugin-important/library.js:6:24)
    2019-08-10T02:17:47.841Z [4568/21199] - warn: [deprecated] requiring core modules with `module.parent.require('./categories')` is deprecated. Please use `require.main.require("./src/<module_name>")` instead.
        at Object.<anonymous> (/home/nodebb/forum/nodebb/node_modules/nodebb-plugin-important/library.js:7:29)
    2019-08-10T02:17:47.842Z [4568/21199] - warn: [deprecated] requiring core modules with `module.parent.require('./meta')` is deprecated. Please use `require.main.require("./src/<module_name>")` instead.
        at Object.<anonymous> (/home/nodebb/forum/nodebb/node_modules/nodebb-plugin-important/library.js:8:23)
    2019-08-10T02:17:47.842Z [4569/21200] - warn: [deprecated] requiring core modules with `module.parent.require('./meta')` is deprecated. Please use `require.main.require("./src/<module_name>")` instead.
        at Object.<anonymous> (/home/nodebb/forum/nodebb/node_modules/nodebb-plugin-important/library.js:8:23)
    2019-08-10T02:17:47.842Z [4567/21198] - warn: [deprecated] requiring core modules with `module.parent.require('./categories')` is deprecated. Please use `require.main.require("./src/<module_name>")` instead.
        at Object.<anonymous> (/home/nodebb/forum/nodebb/node_modules/nodebb-plugin-important/library.js:7:29)
    2019-08-10T02:17:47.843Z [4568/21199] - warn: [deprecated] requiring core modules with `module.parent.require('./privileges')` is deprecated. Please use `require.main.require("./src/<module_name>")` instead.
        at Object.<anonymous> (/home/nodebb/forum/nodebb/node_modules/nodebb-plugin-important/library.js:9:29)
    2019-08-10T02:17:47.843Z [4569/21200] - warn: [deprecated] requiring core modules with `module.parent.require('./privileges')` is deprecated. Please use `require.main.require("./src/<module_name>")` instead.
        at Object.<anonymous> (/home/nodebb/forum/nodebb/node_modules/nodebb-plugin-important/library.js:9:29)
    2019-08-10T02:17:47.844Z [4568/21199] - warn: [deprecated] requiring core modules with `module.parent.require('./rewards')` is deprecated. Please use `require.main.require("./src/<module_name>")` instead.
        at Object.<anonymous> (/home/nodebb/forum/nodebb/node_modules/nodebb-plugin-important/library.js:10:26)
    2019-08-10T02:17:47.844Z [4567/21198] - warn: [deprecated] requiring core modules with `module.parent.require('./meta')` is deprecated. Please use `require.main.require("./src/<module_name>")` instead.
        at Object.<anonymous> (/home/nodebb/forum/nodebb/node_modules/nodebb-plugin-important/library.js:8:23)
    2019-08-10T02:17:47.844Z [4569/21200] - warn: [deprecated] requiring core modules with `module.parent.require('./rewards')` is deprecated. Please use `require.main.require("./src/<module_name>")` instead.
        at Object.<anonymous> (/home/nodebb/forum/nodebb/node_modules/nodebb-plugin-important/library.js:10:26)
    2019-08-10T02:17:47.845Z [4567/21198] - warn: [deprecated] requiring core modules with `module.parent.require('./privileges')` is deprecated. Please use `require.main.require("./src/<module_name>")` instead.
        at Object.<anonymous> (/home/nodebb/forum/nodebb/node_modules/nodebb-plugin-important/library.js:9:29)
    2019-08-10T02:17:47.845Z [4568/21199] - warn: [deprecated] requiring core modules with `module.parent.require('./user')` is deprecated. Please use `require.main.require("./src/<module_name>")` instead.
        at Object.<anonymous> (/home/nodebb/forum/nodebb/node_modules/nodebb-plugin-important/library.js:11:23)
    2019-08-10T02:17:47.846Z [4567/21198] - warn: [deprecated] requiring core modules with `module.parent.require('./rewards')` is deprecated. Please use `require.main.require("./src/<module_name>")` instead.
        at Object.<anonymous> (/home/nodebb/forum/nodebb/node_modules/nodebb-plugin-important/library.js:10:26)
    2019-08-10T02:17:47.846Z [4568/21199] - warn: [deprecated] requiring core modules with `module.parent.require('./controllers/helpers')` is deprecated. Please use `require.main.require("./src/<module_name>")` instead.
        at Object.<anonymous> (/home/nodebb/forum/nodebb/node_modules/nodebb-plugin-important/library.js:12:26)
    2019-08-10T02:17:47.847Z [4569/21200] - warn: [deprecated] requiring core modules with `module.parent.require('./user')` is deprecated. Please use `require.main.require("./src/<module_name>")` instead.
        at Object.<anonymous> (/home/nodebb/forum/nodebb/node_modules/nodebb-plugin-important/library.js:11:23)
    2019-08-10T02:17:47.847Z [4569/21200] - warn: [deprecated] requiring core modules with `module.parent.require('./controllers/helpers')` is deprecated. Please use `require.main.require("./src/<module_name>")` instead.
        at Object.<anonymous> (/home/nodebb/forum/nodebb/node_modules/nodebb-plugin-important/library.js:12:26)
    2019-08-10T02:17:47.847Z [4567/21198] - warn: [deprecated] requiring core modules with `module.parent.require('./user')` is deprecated. Please use `require.main.require("./src/<module_name>")` instead.
        at Object.<anonymous> (/home/nodebb/forum/nodebb/node_modules/nodebb-plugin-important/library.js:11:23)
    2019-08-10T02:17:47.848Z [4568/21199] - warn: [deprecated] requiring core modules with `module.parent.require('./database')` is deprecated. Please use `require.main.require("./src/<module_name>")` instead.
        at Object.<anonymous> (/home/nodebb/forum/nodebb/node_modules/nodebb-plugin-important/library.js:13:21)
    2019-08-10T02:17:47.848Z [4569/21200] - warn: [deprecated] requiring core modules with `module.parent.require('./database')` is deprecated. Please use `require.main.require("./src/<module_name>")` instead.
        at Object.<anonymous> (/home/nodebb/forum/nodebb/node_modules/nodebb-plugin-important/library.js:13:21)
    2019-08-10T02:17:47.849Z [4567/21198] - warn: [deprecated] requiring core modules with `module.parent.require('./controllers/helpers')` is deprecated. Please use `require.main.require("./src/<module_name>")` instead.
        at Object.<anonymous> (/home/nodebb/forum/nodebb/node_modules/nodebb-plugin-important/library.js:12:26)
    2019-08-10T02:17:47.849Z [4568/21199] - warn: [deprecated] requiring core modules with `module.parent.require('./socket.io/plugins')` is deprecated. Please use `require.main.require("./src/<module_name>")` instead.
        at Object.<anonymous> (/home/nodebb/forum/nodebb/node_modules/nodebb-plugin-important/library.js:14:32)
    2019-08-10T02:17:47.849Z [4569/21200] - warn: [deprecated] requiring core modules with `module.parent.require('./socket.io/plugins')` is deprecated. Please use `require.main.require("./src/<module_name>")` instead.
        at Object.<anonymous> (/home/nodebb/forum/nodebb/node_modules/nodebb-plugin-important/library.js:14:32)
    2019-08-10T02:17:47.850Z [4568/21199] - warn: [deprecated] requiring core modules with `module.parent.require('./pagination')` is deprecated. Please use `require.main.require("./src/<module_name>")` instead.
        at Object.<anonymous> (/home/nodebb/forum/nodebb/node_modules/nodebb-plugin-important/library.js:15:29)
    2019-08-10T02:17:47.850Z [4569/21200] - warn: [deprecated] requiring core modules with `module.parent.require('./pagination')` is deprecated. Please use `require.main.require("./src/<module_name>")` instead.
    2019-08-10T02:17:47.850Z [4567/21198] - warn: [deprecated] requiring core modules with `module.parent.require('./database')` is deprecated. Please use `require.main.require("./src/<module_name>")` instead.
        at Object.<anonymous> (/home/nodebb/forum/nodebb/node_modules/nodebb-plugin-important/library.js:15:29)
        at Object.<anonymous> (/home/nodebb/forum/nodebb/node_modules/nodebb-plugin-important/library.js:13:21)
    2019-08-10T02:17:47.851Z [4567/21198] - warn: [deprecated] requiring core modules with `module.parent.require('./socket.io/plugins')` is deprecated. Please use `require.main.require("./src/<module_name>")` instead.
        at Object.<anonymous> (/home/nodebb/forum/nodebb/node_modules/nodebb-plugin-important/library.js:14:32)
    2019-08-10T02:17:47.852Z [4567/21198] - warn: [deprecated] requiring core modules with `module.parent.require('./pagination')` is deprecated. Please use `require.main.require("./src/<module_name>")` instead.
        at Object.<anonymous> (/home/nodebb/forum/nodebb/node_modules/nodebb-plugin-important/library.js:15:29)
    2019-08-10T02:17:48.267Z [4568/21199] - info: [plugins/spam-be-gone] Settings loaded
    2019-08-10T02:17:48.269Z [4569/21200] - info: [plugins/spam-be-gone] Settings loaded
    2019-08-10T02:17:48.273Z [4567/21198] - info: [plugins/spam-be-gone] Settings loaded
    2019-08-10T02:17:48.339Z [4569/21200] - info: Routes added
    2019-08-10T02:17:48.345Z [4568/21199] - info: Routes added
    2019-08-10T02:17:48.356Z [4569/21200] - info: NodeBB Ready
    2019-08-10T02:17:48.358Z [4568/21199] - info: NodeBB Ready
    2019-08-10T02:17:48.365Z [4569/21200] - info: Enabling 'trust proxy'
    2019-08-10T02:17:48.366Z [4568/21199] - info: Enabling 'trust proxy'
    2019-08-10T02:17:48.368Z [4569/21200] - info: NodeBB is now listening on: 0.0.0.0:4569
    2019-08-10T02:17:48.371Z [4568/21199] - info: NodeBB is now listening on: 0.0.0.0:4568
    2019-08-10T02:17:48.380Z [4567/21198] - info: Routes added
    2019-08-10T02:17:48.399Z [4567/21198] - info: NodeBB Ready
    2019-08-10T02:17:48.401Z [4567/21198] - info: Enabling 'trust proxy'
    2019-08-10T02:17:48.403Z [4567/21198] - info: NodeBB is now listening on: 0.0.0.0:4567
    

  • Staff Admin

    How are you restarting NodeBB? Does it show restart required after you restart it from the CLI with ./nodebb stop & ./nodebb start ?



  • @baris said in "Restart Required" warning does not go away:

    How are you restarting NodeBB? Does it show restart required after you restart it from the CLI with ./nodebb stop & ./nodebb start ?

    Yes, it is still the same. Actually, this warning is not new, this was like this for a while so we know for sure it is not because of a recent change. We thought this might go after some time, after installing and uninstalling some plugins, but it did not change.



  • since there were warnings related to 3 plugins on logs (topic ratings, important and iframely), I uninstalled them in our forum copy, and restarted it... maybe this way it might be easier to see where the problem is...

    here are the logs (and yes, restart required warning still does not go away)

    [32m  started
    [0m2019-08-11T00:36:32.422Z [4567/18446] - info: [build] Building in parallel mode
    2019-08-11T00:36:32.423Z [4567/18446] - info: [build]         plugin static dirs  build started
    2019-08-11T00:36:32.425Z [4567/18446] - info: [build]          requirejs modules  build started
    2019-08-11T00:36:32.425Z [4567/18446] - info: [build]           client js bundle  build started
    2019-08-11T00:36:32.426Z [4567/18446] - info: [build]            admin js bundle  build started
    2019-08-11T00:36:32.427Z [4567/18446] - info: [build]         client side styles  build started
    2019-08-11T00:36:32.427Z [4567/18446] - info: [build] admin control panel styles  build started
    2019-08-11T00:36:32.428Z [4567/18446] - info: [build]                  templates  build started
    2019-08-11T00:36:32.428Z [4567/18446] - info: [build]                  languages  build started
    2019-08-11T00:36:32.428Z [4567/18446] - info: [build]                     sounds  build started
    2019-08-11T00:36:33.079Z [4567/18446] - info: [build]                     sounds  build completed in 0.651sec
    2019-08-11T00:36:33.372Z [4567/18446] - info: [build]         plugin static dirs  build completed in 0.949sec
    2019-08-11T00:36:43.930Z [4567/18446] - info: [build]         client side styles  build completed in 11.503sec
    2019-08-11T00:36:54.392Z [4567/18446] - info: [build]           client js bundle  build completed in 21.967sec
    2019-08-11T00:36:54.393Z [4567/18446] - info: [build]            admin js bundle  build completed in 21.967sec
    2019-08-11T00:36:56.921Z [4567/18446] - info: [build]                  languages  build completed in 24.493sec
    2019-08-11T00:37:02.478Z [4567/18446] - info: [build] admin control panel styles  build completed in 30.051sec
    2019-08-11T00:37:03.135Z [4567/18446] - info: [build]                  templates  build completed in 30.707sec
    2019-08-11T00:37:03.685Z [4567/18446] - info: [build]          requirejs modules  build completed in 31.26sec
    2019-08-11T00:37:03.686Z [4567/18446] - info: [build] Asset compilation successful. Completed in 31.264sec.
    2019-08-11T00:37:03.689Z [4569/18449] - info: [app] Shutdown (SIGTERM/SIGINT) Initialised.
    2019-08-11T00:37:03.691Z [4568/18448] - info: [app] Shutdown (SIGTERM/SIGINT) Initialised.
    2019-08-11T00:37:03.690Z [4569/18449] - info: [app] Web server closed to connections.
    2019-08-11T00:37:03.692Z [4568/18448] - info: [app] Web server closed to connections.
    2019-08-11T00:37:03.690Z [4569/18449] - info: [app] Live analytics saved.
    2019-08-11T00:37:03.692Z [4568/18448] - info: [app] Live analytics saved.
    2019-08-11T00:37:03.699Z [4568/18448] - info: [app] Database connection closed.
    2019-08-11T00:37:03.701Z [4569/18449] - info: [app] Database connection closed.
    2019-08-11T00:37:03.700Z [4568/18448] - info: [app] Shutdown complete.
    2019-08-11T00:37:03.701Z [4569/18449] - info: [app] Shutdown complete.
    2019-08-11T00:37:03.724Z [4567/18446] - info: [app] Shutdown (SIGTERM/SIGINT) Initialised.
    2019-08-11T00:37:03.730Z [4567/18446] - info: [app] Web server closed to connections.
    2019-08-11T00:37:03.730Z [4567/18446] - info: [app] Live analytics saved.
    2019-08-11T00:37:03.772Z [4567/18446] - info: [app] Database connection closed.
    2019-08-11T00:37:03.772Z [4567/18446] - info: [app] Shutdown complete.
    2019-08-11T00:37:04.696Z [4567/18505] - info: Initializing NodeBB v1.12.2 https://dev.yesilkartforum.com/forum
    2019-08-11T00:37:10.179Z [4568/18507] - info: [socket.io] Restricting access to origin: https://dev.yesilkartforum.com:*
    2019-08-11T00:37:10.188Z [4567/18505] - info: [socket.io] Restricting access to origin: https://dev.yesilkartforum.com:*
    2019-08-11T00:37:10.209Z [4569/18508] - info: [socket.io] Restricting access to origin: https://dev.yesilkartforum.com:*
    Sun, 11 Aug 2019 00:37:10 GMT hsts deprecated The "includeSubdomains" parameter is deprecated. Use "includeSubDomains" (with a capital D) instead. at node_modules/helmet/index.js:33:28
    Sun, 11 Aug 2019 00:37:10 GMT hsts deprecated The "setIf" parameter is deprecated. Refer to the documentation to see how to set the header conditionally. at node_modules/helmet/index.js:33:28
    Sun, 11 Aug 2019 00:37:10 GMT hsts deprecated The "includeSubdomains" parameter is deprecated. Use "includeSubDomains" (with a capital D) instead. at node_modules/helmet/index.js:33:28
    Sun, 11 Aug 2019 00:37:10 GMT hsts deprecated The "includeSubdomains" parameter is deprecated. Use "includeSubDomains" (with a capital D) instead. at node_modules/helmet/index.js:33:28
    Sun, 11 Aug 2019 00:37:10 GMT hsts deprecated The "setIf" parameter is deprecated. Refer to the documentation to see how to set the header conditionally. at node_modules/helmet/index.js:33:28
    Sun, 11 Aug 2019 00:37:10 GMT hsts deprecated The "setIf" parameter is deprecated. Refer to the documentation to see how to set the header conditionally. at node_modules/helmet/index.js:33:28
    2019-08-11T00:37:12.582Z [4568/18507] - info: [plugins/spam-be-gone] Settings loaded
    2019-08-11T00:37:12.623Z [4569/18508] - info: [plugins/spam-be-gone] Settings loaded
    2019-08-11T00:37:12.653Z [4567/18505] - info: [plugins/spam-be-gone] Settings loaded
    2019-08-11T00:37:12.660Z [4568/18507] - info: Routes added
    2019-08-11T00:37:12.680Z [4568/18507] - info: NodeBB Ready
    2019-08-11T00:37:12.687Z [4568/18507] - info: Enabling 'trust proxy'
    2019-08-11T00:37:12.691Z [4568/18507] - info: NodeBB is now listening on: 0.0.0.0:4568
    2019-08-11T00:37:12.710Z [4569/18508] - info: Routes added
    2019-08-11T00:37:12.722Z [4569/18508] - info: NodeBB Ready
    2019-08-11T00:37:12.730Z [4569/18508] - info: Enabling 'trust proxy'
    2019-08-11T00:37:12.733Z [4569/18508] - info: NodeBB is now listening on: 0.0.0.0:4569
    2019-08-11T00:37:12.749Z [4567/18505] - info: Routes added
    2019-08-11T00:37:12.754Z [4567/18505] - info: NodeBB Ready
    2019-08-11T00:37:12.757Z [4567/18505] - info: Enabling 'trust proxy'
    2019-08-11T00:37:12.759Z [4567/18505] - info: NodeBB is now listening on: 0.0.0.0:4567
    

  • Staff Admin

    Can you show the output the command ./nodebb plugins maybe a plugin is causing it.



  • 	 - nodebb-theme-persona
    	 - nodebb-plugin-composer-default
    	 - nodebb-plugin-markdown
    	 - nodebb-plugin-mentions
    	 - nodebb-widget-essentials
    	 - nodebb-plugin-soundpack-default
    	 - nodebb-plugin-emoji
    	 - nodebb-plugin-browsing-users
    	 - nodebb-plugin-canned-responses
    	 - nodebb-plugin-dbsearch
    	 - nodebb-plugin-dwnvtr
    	 - nodebb-plugin-extended-markdown
    	 - nodebb-plugin-btn-spoilers-yesilkart
    	 - nodebb-plugin-knowledge-base
    	 - nodebb-plugin-mega-colors
    	 - nodebb-plugin-night-mode
    	 - nodebb-plugin-sso-facebook
    	 - nodebb-rewards-essentials
    	 - nodebb-plugin-emoji-one
    	 - nodebb-plugin-tenor-gif
    	 - nodebb-plugin-2factor
    	 - nodebb-plugin-calendar
    	 - nodebb-plugin-sso-twitter
    	 - nodebb-plugin-custom-pages
    	 - nodebb-plugin-recent-cards
    	 - nodebb-plugin-poll
    	 - nodebb-plugin-spam-be-gone
    	 - nodebb-plugin-sso-google
    	 - nodebb-plugin-google-analytics
    	 - nodebb-plugin-customize
    

  • Staff Admin

    I think it is the poll plugin that is saving a setting on startup that is causing that notice to appear on restart. https://github.com/NodeBB/nodebb-plugin-poll/blob/master/lib/config.js#L39 @julianlam, @Schamper



  • @baris yes, you are right. after deactivating poll plugin and restarting nodebb from shell, warning went away...

    How should I proceed? Will it be fixed in the next version? Or is there anything I should do?


  • Staff Admin

    File an issue on the poll plugin repository with a link to this topic.




Log in to reply
 

Suggested Topics

  • 44
  • 1
  • 8
  • 22
  • 8
| |